require 'uri'
require 'digest'

class Mtc::Transaction < Mtc::Mtc

	def initialize; end

	def create keys = {}
		@totalAmountTx = keys[:totalAmountTx]
		@name = keys[:name]
		@address = keys[:address]
		@country = keys[:country]
		@city = keys[:city]
		@state = keys[:state]
		@postCode = keys[:postCode]
		@email = keys[:email]
		@tel = keys[:tel]
	end

	def checksum
		data = @@actionSLK + @totalAmountTx + @@storeId + @@cartId + @email + @@SLKSecretKey
		data = URI.escape(data, Regexp.new("[^#{URI::PATTERN::UNRESERVED}]"))
		Digest::MD5.hexdigest data
	end
end